# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosFrameworkTests clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
IF (TrilinosFrameworkTests_CONFIG_INCLUDED)
  RETURN()
ENDIF()
SET(TrilinosFrameworkTests_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
IF (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  GET_FILENAME_COMPONENT(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  SET(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
ENDIF()


## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosFrameworkTests build
## ---------------------------------------------------------------------------

SET(TrilinosFrameworkTests_CXX_COMPILER "D:/a/_temp/msys/msys64/mingw32/bin/g++.exe")

SET(TrilinosFrameworkTests_C_COMPILER "D:/a/_temp/msys/msys64/mingw32/bin/gcc.exe")

SET(TrilinosFrameworkTests_FORTRAN_COMPILER "")


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosFrameworkTests build
## ---------------------------------------------------------------------------

## Give the build type
SET(TrilinosFrameworkTests_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
SET(TrilinosFrameworkTests_CXX_FLAGS "  -march=pentium4 -mtune=generic -O2 -pipe ")

SET(TrilinosFrameworkTests_C_FLAGS "  -march=pentium4 -mtune=generic -O2 -pipe ")

SET(TrilinosFrameworkTests_FORTRAN_FLAGS " ")

## Extra link flags (e.g., specification of fortran libraries)
SET(TrilinosFrameworkTests_EXTRA_LD_FLAGS "")

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
SET(TrilinosFrameworkTests_SHARED_LIB_RPATH_COMMAND "")
SET(TrilinosFrameworkTests_BUILD_SHARED_LIBS "FALSE")

SET(TrilinosFrameworkTests_LINKER D:/a/_temp/msys/msys64/mingw32/bin/ld.exe)
SET(TrilinosFrameworkTests_AR D:/a/_temp/msys/msys64/mingw32/bin/ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
SET(TrilinosFrameworkTests_INSTALL_DIR "/mingw32")

## List of package include dirs
SET(TrilinosFrameworkTests_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../include")

## List of package library paths
SET(TrilinosFrameworkTests_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../lib")

## List of package libraries
SET(TrilinosFrameworkTests_LIBRARIES "")

## Specification of directories for TPL headers
SET(TrilinosFrameworkTests_TPL_INCLUDE_DIRS "")

## Specification of directories for TPL libraries
SET(TrilinosFrameworkTests_TPL_LIBRARY_DIRS "")

## List of required TPLs
SET(TrilinosFrameworkTests_TPL_LIBRARIES "")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

SET(TrilinosFrameworkTests_MPI_LIBRARIES "")
SET(TrilinosFrameworkTests_MPI_LIBRARY_DIRS "")
SET(TrilinosFrameworkTests_MPI_INCLUDE_DIRS "")
SET(TrilinosFrameworkTests_MPI_EXEC "")
SET(TrilinosFrameworkTests_MPI_EXEC_MAX_NUMPROCS "")
SET(TrilinosFrameworkTests_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
SET(TrilinosFrameworkTests_PACKAGE_LIST "")

## The TPLs enabled for this project
SET(TrilinosFrameworkTests_TPL_LIST "")


